Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.form
Class TestItems

    java.lang.Object
      com.tonbeller.wcf.form.NodeHandlerSupport
          com.tonbeller.wcf.form.TestItems

All Implemented Interfaces:
  FormListener, NodeHandler

public class TestItems
extends NodeHandlerSupport
implements FormListener

Example of dynamic list items

Author:
  av

Constructor Summary
`TestItems()`

Method Summary
`void` | `initialize(RequestContext context, XmlComponent comp, org.w3c.dom.Element element)` initializes the handler
`void` | `revert(RequestContext context)` creates a few items
`boolean` | `validate(RequestContext context)` always true

Methods inherited from class com.tonbeller.wcf.form.NodeHandlerSupport
`destroy, getElement, getXmlComponent, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestItems

    public TestItems()

Method Detail

### revert

    public void revert(RequestContext context)

  creates a few items

  Specified by:
    `revert` in interface `FormListener`

### validate

    public boolean validate(RequestContext context)

  always true

  Specified by:
    `validate` in interface `FormListener`
  Returns:
    true if validation was successful

### initialize

    public void initialize(RequestContext context,
                           XmlComponent comp,
                           org.w3c.dom.Element element)
                    throws java.lang.Exception

  Description copied from interface: `NodeHandler`
  initializes the handler

  Specified by:
    `initialize` in interface `NodeHandler`
  Overrides:
    `initialize` in class `NodeHandlerSupport`
  Throws:
    `java.lang.Exception`
  See Also:
    `com.tonbeller.wcf.component.NodeHandler#initialize(Environment, Component, Element)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD